<?php
/**
 * @file
 * Hooks provided by the Pirobox module.
 */

/**
 * Returns an URL.
 *
 * @param $uri
 *   An string containing the URI for which we need an URL.
 * 
 * @return string
 *   An string containing an URL.
 *
 * @see file pirobox.theme.inc|theme_pirobox_formatter()
 */
function hook_pirobox_image_path_alter($uri) {
  global $base_url;
  
  // @see http://drupal.org/node/1149910
  
  $scheme = file_uri_scheme($uri);
  
  if (variable_get('pirobox_relative_paths', FALSE) == TRUE && ($scheme == 'public' || $scheme == 'private')) {
    $base = $base_url . '/';
    $matches = array();
    
    if (preg_match('/^[\w\d]+:\/\/.*?\//', $base, $matches)) {
      $base = drupal_substr($matches[0], 0, -1);
      $uri = str_replace($base, '', file_create_url($uri));
    }
  }
}
